<?php

// actions/mychanges.php
// written by Carlo Zottmann
// http://wakkawikki.com/CarloZottmann

if ($user = $this->GetUser())
{
	$my_edits_count = 0;

	if ($_REQUEST["alphabetically"] == 1)
	{
		print("<strong>これはあなたが編集したページの一覧です。アルファベット順で表示 (<a href=\"".$this->href("", $tag)."\">日時順</a>).</strong><br /><br />\n");	

		if ($pages = $this->LoadAll("SELECT tag, time FROM ".$this->config["table_prefix"]."pages WHERE user = '".mysql_real_escape_string($this->GetUserName())."' ORDER BY tag ASC, time DESC"))
		{
			foreach ($pages as $page)
			{
				if ($last_tag != $page["tag"]) {
					$last_tag = $page["tag"];
					$firstChar = strtoupper($page["tag"][0]);
					if (!preg_match("/[A-Z,a-z]/", $firstChar)) {
						$firstChar = "#";
					}
		
					if ($firstChar != $curChar) {
						if ($curChar) print("<br />\n");
						print("<strong>$firstChar</strong><br />\n");
						$curChar = $firstChar;
					}
	
					// print entry
					print("&nbsp;&nbsp;&nbsp;(".$page["time"].") (".$this->Link($page["tag"], "revisions", "history", 0).") ".$this->Link($page["tag"], "", "", 0)."<br />\n");
	
					$my_edits_count++;
				}
			}
			
			if ($my_edits_count == 0)
			{
				print("<em>あなたが編集したページはまだありません。</em>");
			}
		}
		else
		{
			print("<em>ページが見つかりません。</em>");
		}
	}
	else
	{
		print("<strong>これはあなたが編集したページの一覧です。最終更新日時順で表示 (<a href=\"".$this->href("", $tag, "alphabetically=1")."\">アルファベット順</a>).</strong><br /><br />\n");	

		if ($pages = $this->LoadAll("SELECT tag, time FROM ".$this->config["table_prefix"]."pages WHERE user = '".mysql_real_escape_string($this->GetUserName())."' ORDER BY time ASC, tag ASC"))
		{
			foreach ($pages as $page)
			{
				$edited_pages[$page["tag"]] = $page["time"];
			}

			$edited_pages = array_reverse($edited_pages);

			foreach ($edited_pages as $page["tag"] => $page["time"])
			{
				// day header
				list($day, $time) = explode(" ", $page["time"]);
				if ($day != $curday)
				{
					if ($curday) print("<br />\n");
					print("<strong>$day:</strong><br />\n");
					$curday = $day;
				}

				// print entry
				print("&nbsp;&nbsp;&nbsp;($time) (".$this->Link($page["tag"], "revisions", "history", 0).") ".$this->Link($page["tag"], "", "", 0)."<br />\n");

				$my_edits_count++;
			}
			
			if ($my_edits_count == 0)
			{
				print("<em>あなたが編集したページはまだありません。</em>");
			}
		}
		else
		{
			print("<em>ページが見つかりません。</em>");
		}
	}
}
else
{
	print("<em>あなたはログインしていませんので、あなたが編集したページの一覧を表示することが出来ません。</em>");
}

?>